FREE(1)

BEZEICHNUNG
free - Anzeige des freien und belegten Speichers

ÜBERSICHT
free [-b|-k|-m|-g] [-c Anzahl] [-l] [-o] [-t] [-s Intervall] [-V]

BESCHREIBUNG
free zeigt die Speicherbelegung Ihres Systems an: den freien und belegten physischen Speicher, die Nutzung des Auslagerungsspeichers (swap memory) sowie die vom Kernel genutzten Puffer. Die Spalte »Shared Memory« sollte ignoriert werden. Sie ist veraltet.

  OPTIONEN

-b  Zeigt die Speichergröße in Byte an.

-c Anzahl
    Zeigt das Ergebnis Anzahl mal an. Erfordert die Option -s.

-g  Zeigt die Speichergröße in Gigabyte an.

-k  Zeigt die Speichergröße in Kilobyte an. Das ist die Voreinstellung.

-l  Zeigt detailliert die Belegung von »low memory« und »high memory« an.

-m  Zeigt die Speichergröße in Megabyte an.

-o  Bewirkt die Ausgabe im alten Format. Der einzige Unterschied ist, dass diese Option die Anzeige der »buffer adjusted«-Zeile deaktiviert.

-s  Fortlaufende Aktualisierung der Anzeige im Intervall von Sekunden. Sie können das Intervall mit einer beliebigen Gleitkommazahl angeben. Durch die Nutzung von usleep(3) können die Intervalle bis auf die Mikrosekunde genau festgelegt werden.

-t  Zeigt eine Zeile mit den Spaltensummen an.

-V  Versionsinformation anzeigen.

DATEIEN
/proc/meminfo Speicherinformationen

AUTOREN
Geschrieben von Brian Edmonds. Schicken Sie Fehlerberichte auf Englisch an <albert@users.sf.net>.

SIEHE AUCH
ps(1), slabtop(1), top(1), vmstat(8).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.